## ros-indigo-cob-gazebo 0.6.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_gazebo)

find_package(catkin REQUIRED)

catkin_package()

### TESTING ###
if(CATKIN_ENABLE_TESTING)
  find_package(cob_supported_robots REQUIRED)
  find_package(roslaunch REQUIRED)
  foreach(robot ${cob_supported_robots_ROBOTLIST})
    message("testing for robot: ${robot}")
    #rosbuild_add_roslaunch_check(launch robot:=${robot})
    #rosbuild_add_roslaunch_check(launch ROBOT=${robot})
  endforeach()
endif()

### INSTALL ###
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS ros/test/component_test.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/ros/test
)

install(FILES ros/test/param_arm_test.yaml ros/test/param_tray_test.yaml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/ros/test
)

=== debian/changelog ===
ros-indigo-cob-gazebo (0.6.10-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-gazebo (0.6.9-0trusty) trusty; urgency=high

  * Merge pull request #160 <https://github.com/ipa320/cob_simulation/issues/160> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #154 <https://github.com/ipa320/cob_simulation/issues/154> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #151 <https://github.com/ipa320/cob_simulation/issues/151> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-gazebo (0.6.8-0trusty) trusty; urgency=high

  * remove cob_controller_configuration_gazebo
  * use exported robotlist and envlist
  * use cob_bringup robot.xml in simulation
  * manually fix changelog
  * Empty launch file changed and empty urdf created
  * wait parameter removed. it was not working when launching a empty world
  * Contributors: Bruno Brito, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-indigo-cob-gazebo (0.6.7-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-indigo-cob-gazebo (0.6.6-0trusty) trusty; urgency=high

  * generic wait for environment before spawn robot
  * inserted wait for model, hopefully fixes max range bug
  * Contributors: Benjamin Maidel, ipa-srd

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-gazebo (0.6.5-0trusty) trusty; urgency=high

  * fix dependency
  * remove robot_id
  * better default robot_id
  * new line
  * tf_prefix in higher level
  * better diff
  * nicer structure
  * Revert "spawn two robots"
    This reverts commit b66aa13d920824a052d398dd8b49cb52c2c4a155.
  * spawn two robots
  * Contributors: Felix Gruber, Florian Weisshardt, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-gazebo (0.6.4-0trusty) trusty; urgency=high

  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-indigo-cob-gazebo (0.6.3-0trusty) trusty; urgency=high

  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-gazebo (0.6.2-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * missing dependencies for control plugins
  * delete desire
  * delete cob3-7
  * delete cob3-5
  * delete cob3-4
  * delete cob3-2
  * delete cob3-1
  * introduce launchfile argument for -J option of spawn_model
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-gazebo (0.6.1-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-indigo-cob-gazebo (0.6.0-0trusty) trusty; urgency=high

  * Merge pull request #65 <https://github.com/ipa320/cob_simulation/issues/65> from ipa320/hydro_dev
    bringin updates from hydro_dev
  * Merge pull request #64 <https://github.com/ipa320/cob_simulation/issues/64> from ipa320/hydro_release_candidate
    Hydro release candidate
  * 0.5.2
  * update changelog
  * Contributors: Florian Weisshardt

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-gazebo (0.5.2-0trusty) trusty; urgency=high

  * cleaning up
  * New maintainer
  * no OpenCV required in cob_gazebo
  * Contributors: ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-gazebo (0.5.1-0trusty) trusty; urgency=high

  * merge with groovy_dev
  * setup tests
  * fix launch file
  * New structure
  * merge with groovy_dev
  * Adapt to the new cob_controller_configuration_gazebo structure
  * removed a lot of code related to packages not available in hydro anymore
  * change dependency from gazebo to gazebo_ros
  * remove duplication
  * changed to new gazebo_ros bridge
  * installation stuff
  * add roslaunch arg
  * Initial catkinization.
  * moved gazebo service to cob_controller_configuration_gazebo
  * adding additional launch file parameters for gazebo simulation
  * removed deprecated coloured_point_cloud nodes and libs + cleaning up
  * unpause gazebo after spawning robot
  * remove cob_ogre - not needed any more
  * Removed cob_ogre dependency
  * removed dependency to deleted cob_ogre package
  * add cam3d throttle, renamed some topics
  * added relay for color image
  * removed pointcloud1 converter
  * opt env for ROBOT
  * adapted gazebo_services to FollowJointTrajectoryAction
  * spawn cob a little lower
  * cleanup launch files and substitute env through arg
  * plugin file
  * workaround for image_transport bug
  * merge
  * forget removing a line
  * fuerte migration
  * adapt roslaunch tests
  * fix for raw
  * moved cob_controller_config_gazebo to cob_robots and changed some minor things to support new structure
  * changed manifest description
  * Service /base_controller/stop able in simulation
  * merge with ipa320
  * merge with ipa320
  * merge
  * add cob3-4 tests
  * Merge pull request #4 <https://github.com/ipa320/cob_simulation/issues/4> from ipa-goa/master
    connect callback for point cloud converter
  * added connect and disconnect cb to converter
  * added connect and disconnect callback
  * removed point cloud conversion for faster simulation
  * merge with ipa320
  * remove env test
  * fixed topic name


=== debian/control ===
Source: ros-indigo-cob-gazebo
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cob-supported-robots, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/cob_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-cob-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-bringup, ros-indigo-cob-default-robot-config, ros-indigo-cob-gazebo-ros-control, ros-indigo-cob-hardware-config, ros-indigo-cob-script-server, ros-indigo-control-msgs, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-gazebo-ros-control, ros-indigo-roslaunch, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-trajectory-msgs
Description: Launch files and tools for 3D simulation of Care-O-bot in gazebo simulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
